<div class="container">
  <form novalidate #addCompositeEventForm="ngForm">
    <mat-form-field>
      <input matInput required [(ngModel)]="compositeEvent.name" placeholder="Name" name="name">
      <mat-error *ngIf="addCompositeEventForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <mat-label>Type</mat-label>
      <mat-select name="type" [(ngModel)]="compositeEvent.type" required>
        <mat-option *ngFor="let eventType of eventTypes" [value]="eventType">
          {{eventType}}
        </mat-option>
      </mat-select>
      <mat-error *ngIf="addCompositeEventForm.controls.type?.errors?.required">Type is required</mat-error>
    </mat-form-field>

    <mat-form-field>
      <textarea matInput required [(ngModel)]="compositeEvent.description" placeholder="Description" name="description">
      </textarea>
      <mat-error *ngIf="addCompositeEventForm.controls.description?.errors?.required">Description is required</mat-error>
    </mat-form-field> 

    <div class="center">
      <button mat-button id="addCompositeEventConfirm" (click)="addCompositeEvent(addCompositeEventForm)" [disabled]="!addCompositeEventForm.valid">Add Large Event</button>
    </div>
    <div class="center">
      <button mat-button id="cancelCompositeEventButton"(click)="cancellAddingEvent(addCompositeEventForm)">Cancel</button>
    </div>

  </form>
</div>